﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InstanceTest
{
    class Program
    {
        //車の状態を表示するメソッド
        static void ShowData(Car car)
        {
            //Console.WriteLine("スピード：{0}km", car.GetSpeed());
            Console.WriteLine("スピード：{0}km", car.Speed);

            //Console.WriteLine("ガソリン：{0}L", car.GetGas());
            Console.WriteLine("ガソリン：{0}L", car.Gas);
        }

        static void Main(string[] args)
        {
            //インスタンスを生成する
            Car car = new Car(40);

            //現在の状態を表示する
            ShowData(car);

            while (true)
            {
                //操作を入力
                Console.Write("1)加速　2)減速　3)給油　9)終了：");
                string inputdata = Console.ReadLine();

                //操作によって分岐する
                switch (inputdata)
                {
                    case "1":
                        //加速する
                        car.SpeedUp(5);
                        ShowData(car);
                        break;
                    case "2":
                        //減速する
                        car.SpeedDown(5);
                        ShowData(car);
                        break;
                    case "3":
                        //給油する
                        //car.SetGas(35);
                        car.Gas = 35;
                        ShowData(car);
                        break;
                    case "9":
                        //プログラムを終了する
                        return;
                }                
            }
        }
    }
}
